PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
gcsDC_FEATURES Struct Reference

## Data Fields
gctUINT32 | chipID
gctUINT32 | chipVersion
gctUINT32 | productID
gctUINT32 | ecoID
gctUINT32 | customerID
gctUINT32 | patchVersion
gctUINT32 | formalRelease
gctUINT32 | DC_DISPLAY_COUNT:8
gctUINT32 | DC_LAYER_COUNT:8
gctUINT32 | DC_CURSOR_COUNT:8
gctUINT32 | DC_GAMMA_BIT_OUT:8
gctUINT32 | DC_SECURITY:1
gctUINT32 | DC_MMU:1
gctUINT32 | DC_CURSOR_VERSION:1
gctUINT32 | DC_CSC_MODULE:1
gctUINT32 | DC_3D_LUT:1
gctUINT32 | DC_DE_GAMMA:1
gctUINT32 | DC_DP:1
gctUINT32 | DC_DP_YUV:1
gctUINT32 | DC_DPI:1
gctUINT32 | DC_DBI:1
gctUINT32 | DC_NEW_GAMMA:1
gctUINT32 | DC_COLOR_BAR:1
gctUINT32 | DC_CRC:1
gctUINT32 | DC_40BIT_ADDRESS:1
gctUINT32 | DC_WRITEBACK:1
gctUINT32 | DC_PROGRAM_WB:1
gctUINT32 | DC_CUSTOMER_TILE4X4:1
gctUINT32 | DC_DUAL_OS

## Field Documentation

## ◆ chipID

gctUINT32 gcsDC_FEATURES::chipID

## ◆ chipVersion

gctUINT32 gcsDC_FEATURES::chipVersion

## ◆ productID

gctUINT32 gcsDC_FEATURES::productID

## ◆ ecoID

gctUINT32 gcsDC_FEATURES::ecoID

## ◆ customerID

gctUINT32 gcsDC_FEATURES::customerID

## ◆ patchVersion

gctUINT32 gcsDC_FEATURES::patchVersion

## ◆ formalRelease

gctUINT32 gcsDC_FEATURES::formalRelease

## ◆ DC_DISPLAY_COUNT

gctUINT32 gcsDC_FEATURES::DC_DISPLAY_COUNT

## ◆ DC_LAYER_COUNT

gctUINT32 gcsDC_FEATURES::DC_LAYER_COUNT

## ◆ DC_CURSOR_COUNT

gctUINT32 gcsDC_FEATURES::DC_CURSOR_COUNT

## ◆ DC_GAMMA_BIT_OUT

gctUINT32 gcsDC_FEATURES::DC_GAMMA_BIT_OUT

## ◆ DC_SECURITY

gctUINT32 gcsDC_FEATURES::DC_SECURITY

## ◆ DC_MMU

gctUINT32 gcsDC_FEATURES::DC_MMU

## ◆ DC_CURSOR_VERSION

gctUINT32 gcsDC_FEATURES::DC_CURSOR_VERSION

## ◆ DC_CSC_MODULE

gctUINT32 gcsDC_FEATURES::DC_CSC_MODULE

## ◆ DC_3D_LUT

gctUINT32 gcsDC_FEATURES::DC_3D_LUT

## ◆ DC_DE_GAMMA

gctUINT32 gcsDC_FEATURES::DC_DE_GAMMA

## ◆ DC_DP

gctUINT32 gcsDC_FEATURES::DC_DP

## ◆ DC_DP_YUV

gctUINT32 gcsDC_FEATURES::DC_DP_YUV

## ◆ DC_DPI

gctUINT32 gcsDC_FEATURES::DC_DPI

## ◆ DC_DBI

gctUINT32 gcsDC_FEATURES::DC_DBI

## ◆ DC_NEW_GAMMA

gctUINT32 gcsDC_FEATURES::DC_NEW_GAMMA

## ◆ DC_COLOR_BAR

gctUINT32 gcsDC_FEATURES::DC_COLOR_BAR

## ◆ DC_CRC

gctUINT32 gcsDC_FEATURES::DC_CRC

## ◆ DC_40BIT_ADDRESS

gctUINT32 gcsDC_FEATURES::DC_40BIT_ADDRESS

## ◆ DC_WRITEBACK

gctUINT32 gcsDC_FEATURES::DC_WRITEBACK

## ◆ DC_PROGRAM_WB

gctUINT32 gcsDC_FEATURES::DC_PROGRAM_WB

## ◆ DC_CUSTOMER_TILE4X4

gctUINT32 gcsDC_FEATURES::DC_CUSTOMER_TILE4X4

## ◆ DC_DUAL_OS

gctUINT32 gcsDC_FEATURES::DC_DUAL_OS